import 'dart:async';

import 'package:flutter_test/flutter_test.dart';

import 'package:ad_base/ad_base.dart';

void main() {
  test('adds one to input values', () {
    final testADInterface = TestADInterface();
    AdManager().init(testADInterface, (tag) => tag, preloadAds: {
      AdType.interstitial: ['广告1'],
    }).then(
      (value) async {
        print('用户主动触发');
        await AdManager()
            .showAd(
              '广告1',
              AdType.interstitial,
            )
            .then((value) => print('1+$value'));
        await AdManager()
            .showAd('广告1', AdType.interstitial)
            .then((value) => print('2+$value'));
      },
    );
  });
}

class TestADInterface extends ADInterface {
  @override
  Future<void> init() async {
    print('初始化');
  }

  @override
  Future<AdResponse> loadAd(String unitId, AdType adType) async {
    print('加载广告: $unitId $adType');
    return AdResponse(status: WatchAdStatus.loaded);
  }

  @override
  Future<void> setUserId(String userId) async {
    print('设置用户ID $userId');
  }

  @override
  Future<AdResponse> showAd(dynamic data, AdType adType) async {
    print('展示广告: $data $adType');
    return AdResponse.ok();
  }
}
